.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the CapsuleShape.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_CapsuleShape:

CapsuleShape
============

**Inherits:** :ref:`Shape<class_shape>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Capsule shape for collisions.

Member Variables
----------------

  .. _class_CapsuleShape_height:

- :ref:`float<class_float>` **height** - The capsule's height.

  .. _class_CapsuleShape_radius:

- :ref:`float<class_float>` **radius** - The capsule's radius.


Description
-----------

Capsule shape for collisions.

